Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Interface IStatusLineManager

All Superinterfaces:
  IContributionManager

All Known Implementing Classes:
  StatusLineManager, SubStatusLineManager

public interface IStatusLineManager
extends IContributionManager

The `IStatusLineManager` interface provides protocol for displaying messages on a status line, for monitoring progress, and for managing contributions to the status line.

Note: An error message overrides the current message until the error message is cleared.

This package also provides a concrete status line manager implementation, ``StatusLineManager``.

Method Summary
`IProgressMonitor` | `getProgressMonitor()` Returns a progress monitor which reports progress in the status line.
`boolean` | `isCancelEnabled()` Returns whether the cancel button on the status line's progress monitor is enabled.
`void` | `setCancelEnabled(boolean enabled)` Sets whether the cancel button on the status line's progress monitor is enabled.
`void` | `setErrorMessage(Image image, String message)` Sets the image and error message to be displayed on the status line.
`void` | `setErrorMessage(String message)` Sets the error message text to be displayed on the status line.
`void` | `setMessage(Image image, String message)` Sets the image and message to be displayed on the status line.
`void` | `setMessage(String message)` Sets the message text to be displayed on the status line.

Methods inherited from interface org.eclipse.jface.action.IContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, update`

Method Detail

### getProgressMonitor

    public IProgressMonitor getProgressMonitor()

  Returns a progress monitor which reports progress in the status line.

  Returns:
    the progress monitor Note: There is a delay after a beginTask message before the monitor is shown. This may not be appropriate for all apps.

### isCancelEnabled

    public boolean isCancelEnabled()

  Returns whether the cancel button on the status line's progress monitor is enabled.

  Returns:
    `true` if the cancel button is enabled, or `false` if not

### setCancelEnabled

    public void setCancelEnabled(boolean enabled)

  Sets whether the cancel button on the status line's progress monitor is enabled.

  Parameters:
    `enabled` - `true` if the cancel button is enabled, or `false` if not

### setErrorMessage

    public void setErrorMessage(String message)

  Sets the error message text to be displayed on the status line. The image on the status line is cleared.

  An error message overrides the current message until the error message is cleared (set to `null`).

  Parameters:
    `message` - the error message, or `null` to clear the current error message.

### setErrorMessage

    public void setErrorMessage(Image image,
                                String message)

  Sets the image and error message to be displayed on the status line.

  An error message overrides the current message until the error message is cleared (set to `null`).

  Parameters:
    `image` - the image to use, or `null` for no image
    `message` - the error message, or `null` to clear the current error message.

### setMessage

    public void setMessage(String message)

  Sets the message text to be displayed on the status line. The image on the status line is cleared.

  This method replaces the current message but does not affect the error message. That is, the error message, if set, will continue to be displayed until it is cleared (set to `null`).

  Parameters:
    `message` - the message, or `null` for no message

### setMessage

    public void setMessage(Image image,
                           String message)

  Sets the image and message to be displayed on the status line.

  This method replaces the current message but does not affect the error message. That is, the error message, if set, will continue to be displayed until it is cleared (set to `null`).

  Parameters:
    `image` - the image to use, or `null` for no image
    `message` - the message, or `null` for no message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.